# 전자서명 알림 발송 API

기본적으로 전자서명을 요청할 때 프릭스에서는 서명 참여자에게 알림을 발송합니다. 만약 추가적으로 다시 알림을 발송하고 싶은 경우에는 전자서명 알림 발송 API를 활용할 수 있습니다.

<br>

## `POST` kit-api/v1/signatures/\[signature uuid]/send

Method: POST\
Endpoint: kit-api/v1/signatures/\[signature uuid]/send

<br>

## Example

```
...kit-api/v1/signatures/57139f5c-37d0-4c30-bdb6-ef6106040756/send
```

```json
{
  "participantUuid": "e65664ca-bac4-4f94-81bc-bc1a2436543b",
  "type": "REQUEST",
  "sendInput": {
    "sendType": "EMAIL", // 발송 수단: EMAIL, PHONE
    "sendAddress": "test@prix.im" // 전화번호의 경우 '-' 포함
  }
}
```

<br>

## Request Body

| Key             | Description                                                 | Required |
| --------------- | ----------------------------------------------------------- | -------- |
| participantUuid | 해당 전자서명 참여자 중 알림을 발송하고자 하는 참여자에 대한 식별값 (string)             | yes      |
| type            | 발송하고자 하는 알림 종류 (REQUEST: 참여 요청, DONE: 완료 안내 / 기본값: REQUEST) | no       |
| sendInput       | 발송 수단 및 연락처 (기본값: 전자서명 요청에 사용된 기본 발송 수단 및 연락처)              | no       |

<br>

## Response

```json
{
  "ok": true, // api 성공 여부
  "message": undefined, // Error가 존재하면 message(string)로 전달
  "data": {
    "participantUuid": "e65664ca-bac4-4f94-81bc-bc1a2436543b", // 전자서명 참여자 식별값
    "sendType": "EMAIL", // 발송 수단 (EMAIL, PHONE)
    "sendAddress": "test@prix.im" // 발송 번호 혹은 이메일
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/send.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
